Summary: The GNU versions of grep pattern matching utilities.
Name: grep
%define version 2.4.1
Version: %{version}
Release: 1a
Copyright: GPL
Group: Applications/Text
Source: ftp://prep.ai.mit.edu/pub/gnu/grep-%{version}.tar.gz
Buildroot: /var/tmp/grep-root

%description
The GNU versions of commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.  

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr --exec-prefix=/
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
make LDFLAGS=-s prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ABOUT-NLS AUTHORS THANKS TODO NEWS README ChangeLog

/bin/*
/usr/info/*.info
/usr/man/*/*
/usr/share/locale/*/*/grep.*

%post
/sbin/install-info --quiet --info-dir=/usr/info /usr/info/grep.info

%preun
if [ $1 = 0 ]; then
	/sbin/install-info --quiet --info-dir=/usr/info --delete /usr/info/grep.info
fi

%changelog
* Sun Mar 5 2000 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- update to v.2.4.1

* Sun Dec 12 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- update to v.2.4

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to grep 2.3, added install-info %post/%preun for info

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.0 to 2.1
- spec file cleanups
- added BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
